package com.atlassian.stash.internal.rest;

import com.atlassian.bitbucket.util.Progress;

import java.util.LinkedHashMap;

/**
 * @since 3.2
 */
public class RestProgress extends LinkedHashMap<String, Object> {

    public RestProgress(Progress progress) {
        put("message", progress.getMessage());
        put("percentage", progress.getPercentage());
    }
}
